Bug 1273497 - AttributeError: 'NoneType' object has no attribute 'get_read_only'
AttributeError: 'NoneType' object has no attribute 'get_read_only'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Konecny
Fedora Extras Quality Assurance
abrt_hash:99635b1feaa7b38f8c2ee9c71cb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 10:52 EDT by Jiri Konecny
Modified: 2017-08-08 08:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-25.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (276.68 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: anaconda.log (12.94 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: dnf.log (1.30 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: environ (459 bytes, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: lsblk_output (1.18 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: nmcli_dev_list (2.18 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: os_info (451 bytes, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: program.log (26.65 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: storage.log (40.03 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: syslog (84.25 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: ifcfg.log (9.46 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details
File: packaging.log (1.98 KB, text/plain)
2015-10-20 10:52 EDT, Jiri Konecny
no flags Details

  None (edit)
Description Jiri Konecny 2015-10-20 10:52:20 EDT
Description of problem:
I created bond device in Network spoke.

Steps to reproduce:
1) Start installation
2) Go to network spoke
3) Add bond device (don't setup anything)

Actual result:
Anaconda crashed

Expected result:
New bond device should be created

Version-Release number of selected component:
anaconda-24.4-1

The following was filed automatically by anaconda:
anaconda 24.4-1 exception report
Traceback (most recent call first):
  File "/tmp/updates/pyanaconda/ui/gui/spokes/network.py", line 720, in add_device_to_list
    if rc.get_setting_connection().get_read_only():
  File "/tmp/updates/pyanaconda/ui/gui/spokes/network.py", line 512, in on_device_added
    self.add_device_to_list(device)
AttributeError: 'NoneType' object has no attribute 'get_read_only'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   initrd=/test/rawhide/initrd.img inst.repo=ftp://cobra02/rawhide/x86_64/os nokill resolution=1024x768 updates=http://cobra02/ks/jk/master_updates.img BOOT_IMAGE=/test/rawhide/vmlinuz 
dnf.rpm.log:    Oct 20 14:41:14 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.3.0-0.rc5.git2.1.fc24.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide
Comment 1 Jiri Konecny 2015-10-20 10:52:25 EDT
Created attachment 1084789 [details]
File: anaconda-tb
Comment 2 Jiri Konecny 2015-10-20 10:52:27 EDT
Created attachment 1084790 [details]
File: anaconda.log
Comment 3 Jiri Konecny 2015-10-20 10:52:29 EDT
Created attachment 1084791 [details]
File: dnf.log
Comment 4 Jiri Konecny 2015-10-20 10:52:30 EDT
Created attachment 1084792 [details]
File: environ
Comment 5 Jiri Konecny 2015-10-20 10:52:32 EDT
Created attachment 1084793 [details]
File: lsblk_output
Comment 6 Jiri Konecny 2015-10-20 10:52:34 EDT
Created attachment 1084794 [details]
File: nmcli_dev_list
Comment 7 Jiri Konecny 2015-10-20 10:52:35 EDT
Created attachment 1084795 [details]
File: os_info
Comment 8 Jiri Konecny 2015-10-20 10:52:37 EDT
Created attachment 1084796 [details]
File: program.log
Comment 9 Jiri Konecny 2015-10-20 10:52:39 EDT
Created attachment 1084797 [details]
File: storage.log
Comment 10 Jiri Konecny 2015-10-20 10:52:42 EDT
Created attachment 1084798 [details]
File: syslog
Comment 11 Jiri Konecny 2015-10-20 10:52:44 EDT
Created attachment 1084799 [details]
File: ifcfg.log
Comment 12 Jiri Konecny 2015-10-20 10:52:45 EDT
Created attachment 1084800 [details]
File: packaging.log
Comment 13 Jan Kurik 2016-02-24 08:51:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Jiri Konecny 2016-06-03 10:26:09 EDT
PR: https://github.com/rhinstaller/anaconda/pull/661

It's for master only, because now it's too late for the F24 and it's not so critical issue.
Comment 15 Fedora End Of Life 2017-07-25 15:22:52 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 08:18:53 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.